Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.controller
Class ControllerInterceptor

    java.lang.Object
      org.jboss.portal.server.impl.invocation.JBossInterceptor
          org.jboss.portal.core.controller.ControllerInterceptor

All Implemented Interfaces:
  org.jboss.portal.common.invocation.Interceptor

Direct Known Subclasses:
  AjaxInterceptor, BackwardCompatibilityInterceptor, CleanNSInterceptor, ControlInterceptor, EventBroadcasterInterceptor, NavigationalStateInterceptor, PageCustomizerInterceptor, PolicyEnforcementInterceptor, PortalNodeInterceptor, ResourceAcquisitionInterceptor

    public abstract class ControllerInterceptor

extends JBossInterceptor

Base class for providing interception of controller command execution.

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`ControllerInterceptor()`

Method Summary
`abstract ControllerResponse` | `invoke(ControllerCommand cmd)`
`java.lang.Object` | `invoke(org.jboss.portal.common.invocation.Invocation invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ControllerInterceptor

    public ControllerInterceptor()

Method Detail

### invoke

    public java.lang.Object invoke(org.jboss.portal.common.invocation.Invocation invocation)
                            throws java.lang.Exception,
                                   org.jboss.portal.common.invocation.InvocationException

  Specified by:
    `invoke` in interface `org.jboss.portal.common.invocation.Interceptor`
  Specified by:
    `invoke` in class `JBossInterceptor`
  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

### invoke

    public abstract ControllerResponse invoke(ControllerCommand cmd)
                                       throws java.lang.Exception,
                                              org.jboss.portal.common.invocation.InvocationException

  Throws:
    `java.lang.Exception`
    `org.jboss.portal.common.invocation.InvocationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD